WarpBuild LogoWarpBuild Docs
Reports

GET /reports/billing/ci

Returns billing data for CI jobs including chart data, summary, paginated job list, and available filters.

GET
/reports/billing/ci

Authorization

JWTKeyAuth
Authorization<token>

In: header

Query Parameters

start_date*string

Start date (RFC3339)

end_date*string

End date (RFC3339)

chart_group_by?string

Chart grouping: runner_label or repo (default: repo)

repos?array<string>

Filter by repositories

runner_labels?array<string>

Filter by runner labels

stack_ids?array<string>

Filter by stack IDs

job_names?array<string>

Filter by job names

vcs_job_ids?array<string>

Filter by VCS job id(s) (e.g. the GitHub Actions job id)

run_ids?array<string>

Filter by VCS run id(s) (e.g. the GitHub Actions workflow run id)

snapshot?boolean

Filter by snapshot usage

search?string

Search by repo, job name, runner label

sort_by?string

Sort column (default: timestamp)

sort_order?string

Sort order: asc or desc (default: desc)

page?integer

Page number (default: 1)

per_page?integer

Items per page (default: 50, max: 200)

format?string

Response format: json or csv (default: json)

Response Body

application/json

application/json

application/json

curl -X GET "https://api.warpbuild.com/api/v1/reports/billing/ci?start_date=string&end_date=string"
{
  "available_filters": {
    "job_names": [
      "string"
    ],
    "repos": [
      "string"
    ],
    "runner_labels": [
      "string"
    ],
    "snapshot": [
      true
    ],
    "stack_ids": [
      {
        "id": "string",
        "name": "string"
      }
    ]
  },
  "chart": {
    "bucket_interval_seconds": 0,
    "daily": [
      {
        "date": "string",
        "segments": [
          {
            "cost": 0,
            "job_count": 0,
            "key": "string"
          }
        ],
        "total_cost": 0
      }
    ],
    "group_by": "string"
  },
  "jobs": {
    "items": [
      {
        "billed_time": 0,
        "execution_time": 0,
        "job_name": "string",
        "repo": "string",
        "run_id": "string",
        "runner_cost": 0,
        "runner_id": "string",
        "runner_label": "string",
        "snapshot": true,
        "snapshot_cost": 0,
        "stack": "string",
        "stack_kind": "string",
        "timestamp": "string",
        "total_cost": 0,
        "vcs_job_id": "string"
      }
    ],
    "next": 0,
    "page": 0,
    "per_page": 0,
    "total_pages": 0,
    "total_rows": 0
  },
  "organization_id": "string",
  "summary": {
    "total_cost": 0,
    "total_jobs": 0,
    "total_runner_cost": 0,
    "total_snapshot_cost": 0
  }
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}